SUSE SLES12セキュリティ更新プログラム:postgresql12 (SUSE-SU-2021:1783-1)

high Nessus プラグイン ID 150100

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

postgresql12用のこの更新プログラムでは、以下の問題が修正されています:

バージョン12.7へのアップグレード:

CVE-2021-32027: 配列サブスクリプト計算における整数オーバーフローを修正しました (bsc#1185924)。

CVE-2021-32028: INSERT ... のジャンク列の不適切な処理を修正しましたON CONFLICT ... ターゲットリストを更新します (bsc#1185925)。

CVE-2021-32029: UPDATE の不適切に計算される可能性を修正しました ...
RETURNING 'pg_psql_temporary_savepoint' は存在しません (bsc#1185926)。

CVE-2021-3393: 制約違反エラーメッセージでの情報漏洩を修正しました (bsc#1182040)。

%_stop_on_removal はプライベート用であり、openSUSE から削除されたため、使用しないでください。%_restart_on_update もプライベートですが、現在もサポートされ、必要とされています (bsc#1183168)。

SLE で llvmjit サブパッケージのビルドを再度有効にしますが、現時点では PackageHub でのみ提供されます (bsc#1183118)。

TW で PostgreSQL 10 (およびそれ以前) に対して icu を無効にします (bsc#1179945)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Software Development Kit 12-SP5:

zypper in -t patch SUSE-SLE-SDK-12-SP5-2021-1783=1

SUSE Linux Enterprise Server 12-SP5:

zypper in -t patch SUSE-SLE-SERVER-12-SP5-2021-1783=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1179945

https://bugzilla.suse.com/show_bug.cgi?id=1182040

https://bugzilla.suse.com/show_bug.cgi?id=1183118

https://bugzilla.suse.com/show_bug.cgi?id=1183168

https://bugzilla.suse.com/show_bug.cgi?id=1185924

https://bugzilla.suse.com/show_bug.cgi?id=1185925

https://bugzilla.suse.com/show_bug.cgi?id=1185926

https://www.suse.com/security/cve/CVE-2021-32027/

https://www.suse.com/security/cve/CVE-2021-32028/

https://www.suse.com/security/cve/CVE-2021-32029/

https://www.suse.com/security/cve/CVE-2021-3393/

http://www.nessus.org/u?8b56de05

プラグインの詳細

深刻度: High

ID: 150100

ファイル名: suse_SU-2021-1783-1.nasl

バージョン: 1.5

タイプ: local

エージェント: unix

公開日: 2021/6/1

更新日: 2022/1/26

サポートされているセンサー: Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.5

Temporal Score: 4.8

ベクトル: AV:N/AC:L/Au:S/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-32027

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:postgresql12, p-cpe:/a:novell:suse_linux:postgresql12-contrib, p-cpe:/a:novell:suse_linux:postgresql12-contrib-debuginfo, p-cpe:/a:novell:suse_linux:postgresql12-debuginfo, p-cpe:/a:novell:suse_linux:postgresql12-debugsource, p-cpe:/a:novell:suse_linux:postgresql12-plperl, p-cpe:/a:novell:suse_linux:postgresql12-plperl-debuginfo, p-cpe:/a:novell:suse_linux:postgresql12-plpython, p-cpe:/a:novell:suse_linux:postgresql12-plpython-debuginfo, p-cpe:/a:novell:suse_linux:postgresql12-pltcl, p-cpe:/a:novell:suse_linux:postgresql12-pltcl-debuginfo, p-cpe:/a:novell:suse_linux:postgresql12-server, p-cpe:/a:novell:suse_linux:postgresql12-server-debuginfo, cpe:/o:novell:suse_linux:12

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/5/27

脆弱性公開日: 2021/4/1

参照情報

CVE: CVE-2021-3393, CVE-2021-32027, CVE-2021-32028, CVE-2021-32029

IAVB: 2021-B-0036-S